#! /usr/bin/env python

import scapy

PrismHeader = scapy.PrismHeader
Dot11 = scapy.Dot11
Dot11Beacon = scapy.Dot11Beacon

def make_ref(mact, seqno, ts):
    return PrismHeader (mactime = mact) / Dot11 (SC = seqno << 4) / \
        Dot11Beacon(timestamp = ts)

def make_data(mact, seqno):
    return PrismHeader (mactime = mact) / Dot11(type = 2, SC = seqno << 4)

len = 10
step = 1000

sniff1 = []
sniff2 = []
for i in range(len):

    i1 = i * 2;
    i2 = i * 2 + 1;

    if i < len / 2:
        off = 0
    else:
        off = 50

    sniff1.append(make_ref (i1 * step, i1, i1))
    sniff1.append(make_data(i2 * step, i2))

    sniff2.append(make_ref (i1 * step + off, i1, i1))
    sniff2.append(make_data(i2 * step + off, i2))


scapy.wrpcap("sync-regression-1-lhs.pcap", sniff1, linktype = 119)

scapy.wrpcap("sync-regression-1-rhs1.pcap", sniff2[:len], linktype = 119)
scapy.wrpcap("sync-regression-1-rhs2.pcap", sniff2[len:], linktype = 119)
